Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3362 - Floppy drive functionality on Sparc Ultra 5 (PCI bus)
Summary: Floppy drive functionality on Sparc Ultra 5 (PCI bus)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount
Version: 6.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Miller
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-09 15:03 UTC by baileydl
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-13 23:19:11 UTC


Attachments (Terms of Use)

Description baileydl 1999-06-09 15:03:17 UTC
Have done a self test on the floppy drive--OK.  On boot, the
floppy drive seems to be detected by the kernel--OK.

However, mounting or formatting disks fail.  The same
commands and disks work fine on the Intel boxes, but cause
I/O errors or complete hangs on the Ultra 5.

Comment 1 baileydl 1999-06-09 17:14:59 UTC
Same drive works fine in Solaris, formats, mounts, reads OK.

Used brand new floppy and performed df on Intel with results:

Filesystem	1k-blocks	Used	Available	Use%
/dev/fd0	7415699		666085	6365261		9%

However, df in Linux on Ultra 5 of same new floppy returns:

/dev/fd0	5375599		1037830	4059435		20%

dmesg from bootup reports:
FDC 0 is a National Semiconductor PC87306

Comment 2 David Miller 1999-08-02 08:16:59 UTC
I am working on this bug, I've known about it for some
time.  If things work out, the upcoming kernel erratas
will fix this problem.  It only happens on Ultra5/Ultra10
systems, other PCI and SBUS Sparcs should be OK about
floppies for the most part.

Comment 3 David Miller 1999-08-03 07:23:59 UTC
I've found and fixed this bug.  It will be fixed in the
upcoming kernel updates...


Note You need to log in before you can comment on or make changes to this bug.